Like Tree324Likes

Guida a Logitech Media Server, Squeezelite e derivati.

Pagina 130 di 187
prima
... 30 80 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 180 ... ultimo
Visualizzazione dei risultati da 1,291 a 1,300 su 1861
  1. #1291
    pebibyte L'avatar di marcoc1712
    Registrato
    Jan 2013
    Messaggi
    5,240
    configurazione

    Predefinito

    Originariamente inviato da UnixMan
    No, ma va? credi che non lo sapessimo? Secondo te perché ho fatto i pacchetti? e perché ho fatto lo script?


    certo, perché tu NON hai seguito le istruzioni ed hai installato un sistema completo, con tanto di desktop. Per cui ovviamente libasound2 viene installata come dipendenza di una infinità di altri pacchetti.

    Ma qui stiamo cercando di far installare un sistema dedicato, MINIMALE. Ergo di partenza NON C'È NULLA se non il sistema di base, che ovviamente NON comprende l'audio!


    la risposta corretta È GIÀ STATA DATA da Giovanni!!!

    Marco, scusa, ma adesso me la tiri anche a me... per tua stessa ammissione di Linux e di ALSA non ne sai praticamente nulla: allora perché continui ad ostinarti ad intervenire intempestivamente e soprattutto a sproposito?


    guarda caso, è quello che ti sto dicendo e ripetendo da una vita!!!

    Se vuoi distribuire eseguibili "sciolti", devi distribuire eseguibili statici. Distribuire eseguibili "sciolti" dinamici è solo fonte di problemi a non finire.


    Male. Ma se gli altri si buttano nel pozzo, fai altrettanto anche tu?


    e dàglie... come devo fare per farti capire che i "pacchetti" Linux non sono banalmente l'equivalente di uno "zip", e neanche di un "installer" di windoze?! Sono molto di più. E sono stati inventati prima di tutto proprio per evitare quel problema, grazie ai meccanismi di gestione delle dipendenze!

    Se installi il pacchetto con un tool appropriato, tutte le sue dipendenze vengono installate automaticamente. Zero problemi.

    (ovviamente, al contrario degli eseguibili "sciolti", i pacchetti *devono* contenere esclusivamente eseguibili dinamici).


    soluzione sbagliata. Per quello esiste già il mio script. Devi semplicemente creare un eseguibile statico, oppure limitarti a distribuire i soli sorgenti ed eventualmente i pacchetti (come fanno tutti, in questi casi...).

    Anche perché, se domani tizio anziché su Debian "Jessie" vuole installare su un Linux diverso, come fai? Produci un eseguibile diverso per ognuna delle infinite varianti di Linux che sono in circolazione?
    Paolo, ma ti leggi?

    E' un mese che ti chiedo di affrontare il problema come ho fatto io, negli ultimi 10 gg con bogha ho continuamente indicato questa strada, oggi mi sono preso del gost buster per averlo fatto ed adesso che ci siamo arrivati in fondo... tu lo sapevi ed io sono intempestivo?

    ALLA FACCIA!

    Mi spieghi perchè non hai chiesto PRIMA a bhoga di fare le prove che gli ho chiesto di fare io?

    O menti adesso o mentivi prima...

    Nel merito, io faccio quello che si fa da 6 anni e serve >> 10000 utenti al mondo, se vuoi fare diversamnete, fai una bella fork e compili come vuoi tu, non saresti il primo e non sarai l'ultimo, non sei tenuto a distribuire la mia versione così sbagliata...

    Io sono Capra in Linux (notare la maiuscola), ma con l'ufficio complicazione affari semplici convivo da anni e MI VANTO di contribuire a smontarlo ogni volta che posso.

    Vi lascio alla costruzione del vostro bel castello, io semplicemente aggiungerò nelle guide di installarsi le necessarie librerie dinamiche insieme all'eseguibile, consiglio a Giovanni di fare la stessa cosa.

    Lo so, ORRIBILE Soluzione sbagiata, o i pacchetti o morte ma come mantainer del pacchetto Squeezelite puoi fare quello che vuoi.
    Ciao, Marco.

    "Any intelligent fool can make things bigger, more complex, and more violent. It takes a touch of genius -- and a lot of courage -- to move in the opposite direction."
    — E. F. Schumacher (mis-attributed to A. Einstein)
    ________________________________________________________________________________
    Autore della patch R2 per Squeezelite e del plugin C-3PO. note libere
    Logitech media Server 7.9 > miniPc + squeezelite-R2 / SB+ > "Lu Scalmentu" NOS R2R DAC by TubeOne/ AudioResearch DAC 1-20 >
    Klimo Merlino Gold TPS > DIS Interconnect > Kent Gold > Reference > Monitor Audio Studio 20 SE

  2. #1292
    pebibyte L'avatar di marcoc1712
    Registrato
    Jan 2013
    Messaggi
    5,240
    configurazione

    Predefinito

    Originariamente inviato da antonellocaroli
    Sbaglio o bhoga a mandato in play una radio?
    Non so, ma cosa cambia?
    Ciao, Marco.

    "Any intelligent fool can make things bigger, more complex, and more violent. It takes a touch of genius -- and a lot of courage -- to move in the opposite direction."
    — E. F. Schumacher (mis-attributed to A. Einstein)
    ________________________________________________________________________________
    Autore della patch R2 per Squeezelite e del plugin C-3PO. note libere
    Logitech media Server 7.9 > miniPc + squeezelite-R2 / SB+ > "Lu Scalmentu" NOS R2R DAC by TubeOne/ AudioResearch DAC 1-20 >
    Klimo Merlino Gold TPS > DIS Interconnect > Kent Gold > Reference > Monitor Audio Studio 20 SE

  3. #1293
    tebibyte
    Registrato
    Aug 2011
    Età
    47
    Messaggi
    2,917
    configurazione

    Predefinito

    Originariamente inviato da marcoc1712
    Non so, ma cosa cambia?
    che se é cosi...avrebbe funzionato anche prima....
    e se é cosi deve mandare adesso in play un flac come faceva prima...

    e se non é cosi...ho preso io una gran cantonata!!!

  4. #1294
    tebibyte L'avatar di UnixMan
    Registrato
    Sep 2013
    Messaggi
    2,511
    configurazione

    Predefinito

    Originariamente inviato da marcoc1712
    E' un mese che ti chiedo di affrontare il problema come ho fatto io, negli ultimi 10 gg con bogha ho continuamente indicato questa strada, oggi mi sono preso del gost buster per averlo fatto ed adesso che ci siamo arrivati in fondo... tu lo sapevi ed io sono intempestivo?
    il perché non sono intervenuto prima l'ho già spiegato... siete intervenuti in troppi, troppo velocemente, tutti insieme, con una infinità di suggerimenti diversi e che cambiavano le carte in tavola. A quel punto io mi sono defilato e non ho più seguito la discussione.

    In questo caso, il mio commento si riferiva all'ultimo problema, quello delle dipendenze. Che NON era affatto il problema iniziale di bhoga.

    Il problema iniziale era banalmente la scelta del device ALSA. Guarda caso, proprio quello che a suo tempo avevo suggerito di verificare come prima cosa (ricordi quando ho detto di leggere quello che c'è scritto nella guida "on-line" dello script?). Guarda caso, ha risolto quando ha utilizzato "plughw:1,0" anziché "front:", "default" o altro (mentre tu insistevi a volergli far usare il default, senza usare "-o").

    Originariamente inviato da marcoc1712
    Mi spieghi perchè non hai chiesto PRIMA a bhoga di fare le prove che gli ho chiesto di fare io?
    perché io gli avrei fatto fare prove DIVERSE, che riguardavano il sistema sottostante (e NON squeezelite), e da quelle sarei arrivato a capire il problema. Ma avrei avuto bisogno di lavorare con calma e senza "interferenze". Come si dice dalle mie parti, “troppe mani nella minestra la rovinano”. Per cui in quelle condizioni io mi chiamo fuori.

    Originariamente inviato da marcoc1712
    Nel merito, io faccio quello che si fa da 6 anni e serve >> 10000 utenti al mondo, se vuoi fare diversamnete, fai una bella fork e compili come vuoi tu, non saresti il primo e non sarai l'ultimo, non sei tenuto a distribuire la mia versione così sbagliata...
    si può sapere perché ti ostini a pensare a squeezelite, che non c'entra un accidenti in questo discorso? Perché mai dovrei fare un fork? Il problema non è quello. Gli eseguibili dinamici "sciolti" invece sì, ed infatti non li uso... ed ho fatto i pacchetti.

    Originariamente inviato da marcoc1712
    Lo so, ORRIBILE Soluzione sbagiata, o i pacchetti o morte
    Continui a perseverare nell'errore: la questione non è "pacchetti o morte", ma piuttosto eseguibile statico o pacchetti.

    Come ho già detto, l'eseguibile statico sarebbe utilissimo, per una infinità di possibili situazioni. Quello dinamico è pressoché inutile, nonché fonte di una quantità di possibili (e probabili) rogne, che sarebbero facilmente evitabili. L'Ufficio Complicazione Affari Semplici in questo caso sei tu...
    Ciao, Paolo.

    «Se tu hai una mela, e io ho una mela, e ce le scambiamo, allora tu ed io abbiamo sempre una mela per uno. Ma se tu hai un'idea, ed io ho un'idea, e ce le scambiamo, allora abbiamo entrambi due idee.»

  5. #1295
    pebibyte L'avatar di marcoc1712
    Registrato
    Jan 2013
    Messaggi
    5,240
    configurazione

    Predefinito

    Originariamente inviato da antonellocaroli
    che se é cosi...avrebbe funzionato anche prima....
    e se é cosi deve mandare adesso in play un flac come faceva prima...

    e se non é cosi...ho preso io una gran cantonata!!!
    No, non avrebbe funzionato, il problema prima era ALSA (non so se legato o meno alla mancanza della libreria) quindi indipendente dallo stream in ingresso.

    Credo comunque che non sia una radio, o almeno non mp3 o alac, dato che esce 176400/32, quindi con ogni probabilità è frutto di C-3PO attivo sul server, se su un FLAC o un WAV non saprei dire, ma non cambia nulla , adesso suonerebbe qualsiasi cosa, prima nulla.

    Io credo, se mi permetti - e lo dico con grande stima e nel pieno riconoscimento della tua grandissima disponibilità e 'limpidezza' - che tu abbia assunto una posizione di protezione 'a priori' dello script, come se io volessi abbatterlo per qualche mistico motivo e questo ti abbia, come dire, un po 'abbagliato'.
    Ciao, Marco.

    "Any intelligent fool can make things bigger, more complex, and more violent. It takes a touch of genius -- and a lot of courage -- to move in the opposite direction."
    — E. F. Schumacher (mis-attributed to A. Einstein)
    ________________________________________________________________________________
    Autore della patch R2 per Squeezelite e del plugin C-3PO. note libere
    Logitech media Server 7.9 > miniPc + squeezelite-R2 / SB+ > "Lu Scalmentu" NOS R2R DAC by TubeOne/ AudioResearch DAC 1-20 >
    Klimo Merlino Gold TPS > DIS Interconnect > Kent Gold > Reference > Monitor Audio Studio 20 SE

  6. #1296
    nibble L'avatar di bhoga
    Registrato
    Dec 2015
    Età
    61
    Messaggi
    66

    Predefinito

    Originariamente inviato da antonellocaroli
    che se é cosi...avrebbe funzionato anche prima....
    e se é cosi deve mandare adesso in play un flac come faceva prima...

    e se non é cosi...ho preso io una gran cantonata!!!
    Era un flac, la radio in questa configurazione non mi sembra che funzioni (su Daphile sì)

  7. #1297
    pebibyte L'avatar di marcoc1712
    Registrato
    Jan 2013
    Messaggi
    5,240
    configurazione

    Predefinito

    Originariamente inviato da bhoga
    Era un flac, la radio in questa configurazione non mi sembra che funzioni (su Daphile sì)
    Strano, dovrebbero funzionare anche le radio, senza passare da C-3PO se in formato lossy. Ovviamente bisogna abilitare i relativi plugins e probabilmente bisogna riguardare i tipi file.

    Da me funzionano.
    Ciao, Marco.

    "Any intelligent fool can make things bigger, more complex, and more violent. It takes a touch of genius -- and a lot of courage -- to move in the opposite direction."
    — E. F. Schumacher (mis-attributed to A. Einstein)
    ________________________________________________________________________________
    Autore della patch R2 per Squeezelite e del plugin C-3PO. note libere
    Logitech media Server 7.9 > miniPc + squeezelite-R2 / SB+ > "Lu Scalmentu" NOS R2R DAC by TubeOne/ AudioResearch DAC 1-20 >
    Klimo Merlino Gold TPS > DIS Interconnect > Kent Gold > Reference > Monitor Audio Studio 20 SE

  8. #1298
    pebibyte L'avatar di marcoc1712
    Registrato
    Jan 2013
    Messaggi
    5,240
    configurazione

    Predefinito

    Originariamente inviato da UnixMan
    Guarda caso, proprio quello che a suo tempo avevo suggerito di verificare come prima cosa (ricordi quando ho detto di leggere quello che c'è scritto nella guida "on-line" dello script?). Guarda caso, ha risolto quando ha utilizzato "plughw:1,0" anziché "front:", "default" o altro (mentre tu insistevi a volergli far usare il default, senza usare "-o").

    Cacchio, allora eravamo in due a caccia di fantasmi, non me ne ero accorto...

    Chissà perchè bogha ci ha messo tanto a seguire il tuo consiglio di postare la riga di comando di Daphile e provare su un sistema 'vergine', mentre io mi ostinavo a non farlo...

    Devo proprio ammeterlo, hai avuto un lampo di genio ed io sono stato così ottuso da non accorgermene. Chiedo scusa a tutti.

    Guarda che i post sono lì... chiunque può leggere...

    comunque, ci avevo scommesso una birra: Se avesse lanciato senza -o, sarebbe uscita lo steso la mancanza della libreria? Si, senza ombra di dubbio.

    Se adesso imposta come defaul di ALSA la scheda "plughw:1,0" (non chiedetemi come) e lancia senza -o, suona o no?

    Io credo proprio di si...

    Se qualcuno prova, io pago la birra.
    Ultima modifica di marcoc1712 : 19-12-2015 a 21:53
    Ciao, Marco.

    "Any intelligent fool can make things bigger, more complex, and more violent. It takes a touch of genius -- and a lot of courage -- to move in the opposite direction."
    — E. F. Schumacher (mis-attributed to A. Einstein)
    ________________________________________________________________________________
    Autore della patch R2 per Squeezelite e del plugin C-3PO. note libere
    Logitech media Server 7.9 > miniPc + squeezelite-R2 / SB+ > "Lu Scalmentu" NOS R2R DAC by TubeOne/ AudioResearch DAC 1-20 >
    Klimo Merlino Gold TPS > DIS Interconnect > Kent Gold > Reference > Monitor Audio Studio 20 SE

  9. #1299
    pebibyte L'avatar di marcoc1712
    Registrato
    Jan 2013
    Messaggi
    5,240
    configurazione

    Predefinito

    Originariamente inviato da UnixMan
    guarda caso...
    codice:
    apt-cache show squeezelite
    output (sul mio sistema):


    Siamo sempre lì: o pacchetti o eseguibile statico. Qualsiasi altra opzione è un errore, sic et simpliciter.
    Nell'elenco che hai pordotto per la versione a 32 bit manca

    libavcodec-extra-56

    non vorrei fosse quello il problema.
    Ciao, Marco.

    "Any intelligent fool can make things bigger, more complex, and more violent. It takes a touch of genius -- and a lot of courage -- to move in the opposite direction."
    — E. F. Schumacher (mis-attributed to A. Einstein)
    ________________________________________________________________________________
    Autore della patch R2 per Squeezelite e del plugin C-3PO. note libere
    Logitech media Server 7.9 > miniPc + squeezelite-R2 / SB+ > "Lu Scalmentu" NOS R2R DAC by TubeOne/ AudioResearch DAC 1-20 >
    Klimo Merlino Gold TPS > DIS Interconnect > Kent Gold > Reference > Monitor Audio Studio 20 SE

  10. #1300
    tebibyte L'avatar di UnixMan
    Registrato
    Sep 2013
    Messaggi
    2,511
    configurazione

    Predefinito

    Originariamente inviato da marcoc1712
    Chissà perchè bogha ci ha messo tanto a seguire il tuo consiglio di postare la riga di comando di Daphile e provare su un sistema 'vergine', mentre io mi ostinavo a non farlo...
    quello se non erro glielo hai consigliato tu... io avevo consigliato fin dal principio di usare sempre "hw:" o "plughw:" (com'è scritto anche nella guida dello script). Senza alcun bisogno di andare a vedere cosa fanno altri.

    Tra parentesi, il consiglio di provare con "hw:1,0" è ancora valido: se possibile, è meglio evitare qualsiasi "plugin". Se non va, bisognerebbe cercare di "limare" meglio la configurazione di squeezelite: "less is more", meglio evitare che sia un plugin di ALSA a dover fare ulteriori conversioni e adattamenti.

    Originariamente inviato da marcoc1712
    comunque, ci avevo scommesso una birra: Se avesse lanciato senza -o, sarebbe uscita lo steso la mancanza della libreria? Si, senza ombra di dubbio.
    se/quando ha installato con lo script, le librerie necessarie c'erano tutte! Quel problema all'inizio NON C'ERA, si è verificato DOPO, in un setup diverso da quello iniziale. Vedi perché i problemi vanno analizzati con calma e non si devono fare prove a vanvera? Invece di risolvere il problema iniziale, rischi di introdurne altri... e di non cavarci più i piedi.

    Originariamente inviato da marcoc1712
    Se adesso imposta come defaul di ALSA la scheda "plughw:1,0" (non chiedetemi come) e lancia senza -o, suona o no?
    certo che sì. Ma perché complicarsi la vita e modificare un altro file, creando "side-effects" che potrebbero causare problemi in seguito (oltre tutto è facile che ci si dimentichi di aver fatto tale modifica...), quando basta aggiungere un parametro a SL? Cosa che, con lo script, si riduce banalmente alla scelta del device giusto?

    Per giunta, se modifichi il device di default a livello di sistema (nel file /etc/asound.conf, che di default non esiste e va creato), poi è necessario un reboot per rendere effettiva la modifica.

    Quale sarebbe invece il vantaggio di non mettere l'opzione "-o"?

    Originariamente inviato da marcoc1712
    Nell'elenco che hai pordotto per la versione a 32 bit manca

    libavcodec-extra-56

    non vorrei fosse quello il problema.
    Quale problema?

    Salvo casi particolari, la lista delle dipendenze è generata automaticamente dal sistema di "build" dei pacchetti. Le dipendenze del pacchetto a 32bit (identiche a quelle del fratello a 64) sono:
    Depends: libasound2 (>= 1.0.16), libavcodec56 (>= 6:11~beta1) | libavcodec-extra-56 (>= 6:11.4), libavformat56 (>= 6:11~beta1), libavutil54 (>= 6:11~beta1), libc6 (>= 2.15), libfaad2 (>= 2.7), libflac8 (>= 1.3.0), liblircclient0, libmad0 (>= 0.15.1b-3), libmpg123-0 (>= 1.10.0), libsoxr0 (>= 0.1.0), libvorbisfile3 (>= 1.1.2)
    La "libavcodec-extra-56" e la "libavcodec56" sono alternative compatibili (nota il "|", cioè "OR", nella lista delle dipendenze); il pacchetto funziona indifferentemente con entrambe. La differenza è che, nei pacchetti "ufficiali" distribuiti da Debian, la versione "-extra-" contiene alcuni codec in più. Questi sono considerati "non-free" (hanno licenze che non rispettano le rigorose policy Debian in materia) per cui la versione "-extra-" è nella sezione "non-free" dei repositories, mentre l'altra è in "main" e permette l'installazione ed il funzionamento dei vari software che dipendono dalla libavcodec anche su sistemi che siano interamente "DFSG-Free" (cioè che non includano i "non-free").

    Per maggiori dettagli, vedi:
    codice:
    apt-cache policy libavcodec56 libavcodec-extra-56
    apt-cache show libavcodec56 libavcodec-extra-56
    P.S.: la versione distribuita da Debian è basata sui sorgenti di "libav", mentre quella di Marillat (che distribuisce un unico pacchetto che si chiama libavcodecXX) è basata su quelli di ffmpeg (ed include ancora più codec della versione "-extra-" di Debian). Non di meno, sono tutte compatibili.

    Per maggiori info sulla questione "libav vs. ffmpeg" vedi: http://wiki.debian.org/Debate/libav-provider/ffmpeg
    Ultima modifica di UnixMan : 20-12-2015 a 01:51
    Ciao, Paolo.

    «Se tu hai una mela, e io ho una mela, e ce le scambiamo, allora tu ed io abbiamo sempre una mela per uno. Ma se tu hai un'idea, ed io ho un'idea, e ce le scambiamo, allora abbiamo entrambi due idee.»

Informazioni Thread

Users Browsing this Thread

Ci sono attualmente 2 utenti che stanno visualizzando questa discussione. (0 utenti e 2 ospiti)

Regole d'invio

  • Non puoi inserire discussioni
  • Non puoi inserire repliche
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
nexthardware.com - © 2002-2018

Search Engine Optimization by vBSEO 3.6.1